--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Constructs a source index instance from the provided specifications
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "specifications:"
    body: "[Hash] hash of [Gem name, Gem::Specification] pairs"
  type: :NOTE
full_name: Gem::SourceIndex::new
is_singleton: true
name: new
params: (specifications={})
visibility: public
